#include <bits/stdc++.h>

using namespace std;

int partition (double arr[], int b[], int low, int high)
{
    double pivot = arr[high];
    int i = (low - 1);

    for (int j = low; j <= high - 1; j++)
    {
        if (arr[j] < pivot)
        {
            i++;
            swap(arr[i], arr[j]);
            swap(b[i], b[j]);
        }
    }
    swap(arr[i + 1], arr[high]);
    swap(b[i + 1], b[high]);
    return (i + 1);
}

void quickSort(double arr[], int b[], int low, int high)
{
    if (low < high)
    {
        int pi = partition(arr, b, low, high);
        quickSort(arr, b, low, pi - 1);
        quickSort(arr, b, pi + 1, high);
    }
}

int main()
{
    int n;
    cin >> n;
    int a[n];
    double b[n];
    long long ukupno = 0;
    double maks = -1;
    for(int i = 0; i < n; i++){
        cin >> a[i] >> b[i];
    }
    quickSort(b, a, 0, n - 1);
    for(int i = n - 1; i > -1; i--){
        ukupno += a[i];
        if(ukupno * b[i] > maks){
            maks = ukupno * b[i];
        }
    }
    cout << fixed << setprecision(4) << maks / 100;
    return 0;
}